# Uses of Class
javafx.scene.layout.BorderWidths

Packages that use BorderWidths
Package
Description
javafx.scene.layout
Provides classes to support user interface layout.

## Uses of BorderWidths in javafx.scene.layout

Fields in javafx.scene.layout declared as BorderWidths
Modifier and Type
Field
Description
`static final BorderWidths`
BorderWidths.`DEFAULT`
The default BorderWidths that is used by a BorderImage when null is specified.
`static final BorderWidths`
BorderStroke.`DEFAULT_WIDTHS`
The default Insets to be used with a BorderStroke that does not otherwise define any.
`static final BorderWidths`
BorderWidths.`EMPTY`
An empty set of widths, such that all values are 0 and are literal values.
`static final BorderWidths`
BorderWidths.`FULL`
A set of widths representing 100% on each side.
`static final BorderWidths`
BorderStroke.`MEDIUM`
The default insets when "medium" is specified
`static final BorderWidths`
BorderStroke.`THICK`
The default insets when "thick" is specified
`static final BorderWidths`
BorderStroke.`THIN`
The default insets when "thin" is specified.
Methods in javafx.scene.layout that return BorderWidths
Modifier and Type
Method
Description
`final BorderWidths`
BorderImage.`getSlices()`
Defines the slices of the image.
`final BorderWidths`
BorderImage.`getWidths()`
The widths of the border on each side.
`final BorderWidths`
BorderStroke.`getWidths()`
Defines the thickness of each side of the `BorderStroke`.
Constructors in javafx.scene.layout with parameters of type BorderWidths
Modifier
Constructor
Description
``
`BorderImage(Image image, BorderWidths widths, Insets insets, BorderWidths slices, boolean filled, BorderRepeat repeatX, BorderRepeat repeatY)`
Creates a new BorderImage.
``
`BorderStroke(Paint stroke, BorderStrokeStyle style, CornerRadii radii, BorderWidths widths)`
Creates a new `BorderStroke`.
``
`BorderStroke(Paint stroke, BorderStrokeStyle style, CornerRadii radii, BorderWidths widths, Insets insets)`
Creates a new `BorderStroke`.
``
`BorderStroke(Paint topStroke, Paint rightStroke, Paint bottomStroke, Paint leftStroke, BorderStrokeStyle topStyle, BorderStrokeStyle rightStyle, BorderStrokeStyle bottomStyle, BorderStrokeStyle leftStyle, CornerRadii radii, BorderWidths widths, Insets insets)`
Creates a new `BorderStroke`, specifying all construction parameters.